import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/wallet/chain_asset.dart';

part 'asset.g.dart';


@JsonSerializable()
class WalletAssetDTO extends ChainAssetDTO {
  final String contractAddress;

  const WalletAssetDTO({
    required super.chain,
    required super.tokenSymbol,
    required this.contractAddress,
  });

  factory WalletAssetDTO.fromJson(Map<String, dynamic> json) => _$WalletAssetDTOFromJson(json);
  @override
  Map<String, dynamic> toJson() => _$WalletAssetDTOToJson(this);
}
